Skip to main content
The 1eye API supports filtering and sorting on collection endpoints using query parameters. When multiple filters are included in a request, they are combined using AND.

Filter Buyers

Use the following filters with GET /v1/buyers: Example:

Filter Signals

Use the following filters with GET /v1/signals:

Signal types and triggers

If trigger is provided, type is required. Example:
Example — Market Signals:
Example — Signals for a specific Buyer:

Combine filters

Multiple filters are combined using AND. Example:
This means:
Complex Boolean filtering is not supported in v1.

Filter by time

Time filters use inclusive-start and exclusive-end semantics.
Example:
This means:
All timestamps use UTC in the following format:
For Signals, customer-facing event-time filtering uses captured_at, which represents when the Signal occurred.

Sort results

Collection endpoints support:
  • sort_by
  • sort_order
Supported sort_order values are:

Buyers

GET buyers only support created_at Example:

Signals

GET signals only supports captured_at Example:

Default sorting

Buyers are sorted by default using:
Signals are sorted by default using:
The resource ID is automatically used as a deterministic tie-breaker. Clients do not need to specify the ID in sort_by.

Invalid parameters

The API does not silently ignore invalid query input. Unknown query parameters, invalid filter values, unsupported sort fields, invalid sort directions, and invalid type / trigger combinations return:
Example: